ne_ssl_cert_cmp
Prev | neon API reference | Next

## Name

ne_ssl_cert_cmp, ne_ssl_cert_free — functions to operate on certificate objects

## Synopsis

    #include <ne_header.h>

`int ne_ssl_cert_cmp(` | const ne_ssl_certificate *c1,
| const ne_ssl_certificate *c2`)`;

`void ne_ssl_cert_free(` | ne_ssl_certificate *cert`)`;

## Description

The `ne_ssl_cert_cmp` function can be used to compare two certificate objects; it returns zero if they refer to the same certificate, and non-zero otherwise.

The `ne_ssl_cert_free` function can be used to destroy a certificate object when it is no longer needed.

Prev | Up | Next
ne_ssl_cert_identity | Home | ne_ssl_cert_read